/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package adgsyncms;

import adgsyncms.repository.message;
import java.io.IOException;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.UnknownHostException;

/**
 *
 * @author amartinez
 */
public class ADGSyncMS {

    private static final int PORT = 6543;
    private static ServerSocket s;
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        try
        {
            s = new ServerSocket(PORT, 10, InetAddress.getLocalHost());
        }catch(UnknownHostException e){
            e.printStackTrace();
        }catch(IOException e)
        {
            message.show("La Aplicación ADG Service ya se esta ejecutando...");

            System.exit(0);
        }

        new MainJFrame().setVisible(true);
    }
    
}
